SDL_AsyncIOQueue(3type)

NAME
SDL_AsyncIOQueue - A queue of completed asynchronous I/O tasks.

HEADER FILE
Defined in SDL3/SDL_asyncio.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_AsyncIOQueue SDL_AsyncIOQueue;

DESCRIPTION
When starting an asynchronous operation, you specify a queue for the new task. A queue can be asked later if any tasks in it have completed, allowing an app to manage multiple pending tasks in one place, in whatever order they complete.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateAsyncIOQueue(3), •(3), SDL_ReadAsyncIO(3), •(3), SDL_WriteAsyncIO(3), •(3), SDL_GetAsyncIOResult(3), •(3), SDL_WaitAsyncIOResult(3)